AddDim3PointAngular Method

Back to Methods Reference

Creates an angular dimension using 3 points.

Signature

VBA : RetVal = object.AddDim3PointAngular(AngleVertex,FirstEndPoint,SecondEndPoint,    TextPoint)

VL : RetVal = (vla-AddDim3PointAngular object AngleVertex FirstEndPoint SecondEndPoint TextPoint)

(vla-AddDim3PointAngular mspace pt1 pt2 pt3 pt4)

  • Object : ModelSpace Collection, PaperSpace Collection, Block
    The object or objects this method applies to.
  • AngleVertex : Variant (three-element array of doubles); input-only
    The 3D WCS coordinates specifying the vertex of the angle to be measured.
  • FirstEndPoint : Variant (three-element array of doubles); input-only
    The 3D WCS coordinates specifying the point through which the first extension line passes.
  • SecondEndPoint : Variant (three-element array of doubles); input-only
    The 3D WCS coordinates specifying the point through which the second extension line passes.
  • TextPoint : Variant (three-element array of doubles); input-only
    The 3D WCS coordinates specifying the point at which the dimension text is to be displayed.
  • RetVal : Dim3PointAngular object
    The newly created angular dimension.

Example :


(defun c:al-AddDim3PointAngular ()

(vl-load-com)

(setq thisdrawing (vla-get-activedocument (vlax-get-acad-object)))

(setq mspace (vla-get-modelspace thisdrawing))

(setq pt1 (vlax-3d-point (setq pt (getpoint "Angle vertex point: "))))

(setq pt2 (vlax-3d-point (getpoint "1st extension point: " pt)))

(setq pt3 (vlax-3d-point (getpoint "2nd extension point: " pt)))

(setq pt4 (vlax-3d-point (getpoint "Text insertion point: ")))

(vla-adddim3pointangular mspace pt1 pt2 pt3 pt4)

  (princ)
  
);defun

 
The AutoLisp/Visual Lisp/VBA Resource Website
Google
Search the WWW Search AfraLisp

Copyright © 1999-Perpetuity by AfraLisp

All rights reserved.
Information in this document is subject to change without notice.
Site created and maintained by Kenny Ramage

The AutoLisp/Visual Lisp/VBA Resource Website